net.minecraft.network.rcon

## Class RConOutputStream

- java.lang.Object
- - net.minecraft.network.rcon.RConOutputStream

-     public class RConOutputStream
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RConOutputStream(int par1)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `reset()` Resets the byte array output.
    `byte[]` | `toByteArray()` Returns the contents of the output stream as a byte array
    `void` | `writeByteArray(byte[] par1ArrayOfByte)` Writes the given byte array to the output stream
    `void` | `writeInt(int par1)` Writes the given int to the output stream
    `void` | `writeShort(short par1)` Writes the given short to the output stream
    `void` | `writeString(String par1Str)` Writes the given String to the output stream

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RConOutputStream

          public RConOutputStream(int par1)

  - ### Method Detail

    - #### writeByteArray

          public void writeByteArray(byte[] par1ArrayOfByte)
                              throws IOException

      Writes the given byte array to the output stream
      Throws:
        `IOException`

    - #### writeString

          public void writeString(String par1Str)
                           throws IOException

      Writes the given String to the output stream
      Throws:
        `IOException`

    - #### writeInt

          public void writeInt(int par1)
                        throws IOException

      Writes the given int to the output stream
      Throws:
        `IOException`

    - #### writeShort

          public void writeShort(short par1)
                          throws IOException

      Writes the given short to the output stream
      Throws:
        `IOException`

    - #### toByteArray

          public byte[] toByteArray()

      Returns the contents of the output stream as a byte array

    - #### reset

          public void reset()

      Resets the byte array output.